<div class="card" >
    <div class="title-container">
        <label class="title">{{DiseaseReportSummary.diseaseName}}</label>
    </div>

    <div class="summary-container">
        <div class="total-cases-container">
            <label>Nº Casos: <b>{{DiseaseReportSummary.numberOfCases}}</b></label>
        </div>
        <button class="btn-primary w-100 mt-3 mb-3" (click)="changeExpandCollapse()">{{isExpanded ? 'Menos detalhes':'Mais detalhes'}}</button>
        <div class="average-container" *ngIf="isExpanded">
            <label>Taxa de transmissibilidade: <b>{{DiseaseReportSummary.transmissionRate}}%</b></label>
            <label>Taxa de letalidade: <b>{{DiseaseReportSummary.deathAverage}}%</b></label>
            <label>Taxa de casos muito leves: <b>{{(DiseaseReportSummary.veryLowInfectionsSeverityCount / DiseaseReportSummary.numberOfCases * 100) | number: '1.0-0'}}%</b></label>
            <label>Taxa de casos leves: <b>{{(DiseaseReportSummary.lowInfectionsSeverityCount / DiseaseReportSummary.numberOfCases * 100) | number: '1.0-0'}}%</b></label>
            <label>Taxa de casos médios: <b>{{(DiseaseReportSummary.normalInfectionsSeverityCount / DiseaseReportSummary.numberOfCases * 100) | number: '1.0-0'}}%</b></label>
            <label>Taxa de casos graves: <b>{{(DiseaseReportSummary.highInfectionsSeverityCount / DiseaseReportSummary.numberOfCases * 100) | number: '1.0-0'}}%</b></label>
            <label>Taxa de casos muito graves: <b>{{(DiseaseReportSummary.veryHighInfectionsSeverityCount / DiseaseReportSummary.numberOfCases * 100) | number: '1.0-0'}}%</b></label>
        </div>
        <label class="mt-3 mb-3" *ngIf="isExpanded"><b>Casos por bairro</b></label>
        <div class="average-container" *ngIf="isExpanded">
            <label *ngFor="let item of DiseaseReportSummary.neighborhoodSummaries">
                {{item.neighborhoodName}}: <b>{{item.numberOfCases}}</b>
                <div class="average-container ml-5">
                    <label>
                        Muito leves: <b>{{item.veryLowInfectionsSeverityCount}}</b>
                    </label>
                    <label>
                        Leves: <b>{{item.lowInfectionsSeverityCount}}</b>
                    </label>
                    <label>
                        Moderados: <b>{{item.normalInfectionsSeverityCount}}</b>
                    </label>
                    <label>
                        Graves: <b>{{item.highInfectionsSeverityCount}}</b>
                    </label>
                    <label class="border-0">
                        Muito Graves: <b>{{item.veryHighInfectionsSeverityCount}}</b>
                    </label>
                </div>
            </label>
        </div>
    </div>
</div>
